<?php
/* 
*  現在アクティブなURLを判定し、アクティブな場合クラスを返す
*/ 
function isActiveUrl($url, $string = 'active')
{
    $url = ltrim($url, '/');
    return \Illuminate\Support\Facades\Request::is($url) ? $string : '';
}

/* 
*  現在アクティブなURLを判定し、アクティブな場合クラスを返す
*/ 
function isTargetUrl($url)
{
    return \Illuminate\Support\Facades\Request::is($url);
}

/* 
*  セレクトボックスで現在洗濯中の値かを判定する
*/ 
function isSelected($val, $selected = '', $string = 'selected')
{
    return ($val==$selected) ? $string : '';
}

/* 
*  ラジオボックスで現在洗濯中の値かを判定する
*/ 
function isChecked($val, $num, $checked = '', $string = 'checked')
{
    // print_r([$val, $num, $checked]);
    if($checked === null && $num == 1) {
        return $string;
    }
    return ($val===$checked) ? $string : '';
}